ru.bitel.bgbilling.kernel.contract.api.server.bean

## Class ContractUtils

- java.lang.Object
- - ru.bitel.bgbilling.kernel.contract.api.server.bean.ContractUtils

-     public class ContractUtils
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getCustomerAddress(java.sql.Connection connection, int moduleId, int contractId)`
    `static java.lang.String` | `getPaymentEmail(java.sql.Connection connection, int moduleId, int contractId, java.lang.String key)`
    `static java.lang.String` | `getPaymentPhone(java.sql.Connection connection, int moduleId, int contractId, java.lang.String key)`
    `static java.lang.String` | `getX(java.sql.Connection connection, int moduleId, int contractId, java.lang.String key)`
    `static java.lang.String` | `saveCustomerAddress(java.sql.Connection connection, int moduleId, int contractId, java.lang.String customerAddress)`
    `static java.lang.String` | `saveCustomerEmail(java.sql.Connection connection, int moduleId, int contractId, java.lang.String customerEmail)`
    `static java.lang.String` | `savePaymentEmail(java.sql.Connection connection, int moduleId, int contractId, java.lang.String paymentEmail)`
    `static java.lang.String` | `savePaymentPhone(java.sql.Connection connection, int moduleId, int contractId, java.lang.String paymentPhone)`
    `static java.lang.String` | `saveX(java.sql.Connection connection, int moduleId, int contractId, java.lang.String key, java.lang.String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractUtils

          public ContractUtils()

  - ### Method Detail

    - #### getCustomerAddress

          public static java.lang.String getCustomerAddress(java.sql.Connection connection,
                                                            int moduleId,
                                                            int contractId)
                                                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### saveCustomerAddress

          public static java.lang.String saveCustomerAddress(java.sql.Connection connection,
                                                             int moduleId,
                                                             int contractId,
                                                             java.lang.String customerAddress)
                                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### saveCustomerEmail

          public static java.lang.String saveCustomerEmail(java.sql.Connection connection,
                                                           int moduleId,
                                                           int contractId,
                                                           java.lang.String customerEmail)
                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### savePaymentEmail

          public static java.lang.String savePaymentEmail(java.sql.Connection connection,
                                                          int moduleId,
                                                          int contractId,
                                                          java.lang.String paymentEmail)
                                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### savePaymentPhone

          public static java.lang.String savePaymentPhone(java.sql.Connection connection,
                                                          int moduleId,
                                                          int contractId,
                                                          java.lang.String paymentPhone)
                                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### saveX

          public static java.lang.String saveX(java.sql.Connection connection,
                                               int moduleId,
                                               int contractId,
                                               java.lang.String key,
                                               java.lang.String value)
                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getPaymentEmail

          public static java.lang.String getPaymentEmail(java.sql.Connection connection,
                                                         int moduleId,
                                                         int contractId,
                                                         java.lang.String key)
                                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getPaymentPhone

          public static java.lang.String getPaymentPhone(java.sql.Connection connection,
                                                         int moduleId,
                                                         int contractId,
                                                         java.lang.String key)
                                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getX

          public static java.lang.String getX(java.sql.Connection connection,
                                              int moduleId,
                                              int contractId,
                                              java.lang.String key)
                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`